## mimefilter 1.7+nmu2

=== Makefile ===
# Makefile for the MimeFilter package
# $Id: Makefile,v 1.2 2001/01/16 16:30:34 salve Exp $
#
# Copyright (C) 2000, 2001 by Davide Giovanni Maria Salvetti.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to: The Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
#
# On Debian GNU/Linux System you can find a copy of the GNU General Public
# License in /usr/doc/copyright/GPL.

etcdir = /etc/
prefix = /usr/local/
exec_prefix = $(prefix)

bindir = $(exec_prefix)/bin
mandir = $(prefix)/man

all: man

man: mimefilter.pl
	pod2man --section 1 --center "Debian GNU/Linux Manual" \
		--release "Debian Project" mimefilter.pl > mimefilter.1

install: all
	test -d $(bindir) \
		|| install -o root -g root -m 755 -d $(bindir)
	install -o root -g root -m 755 mimefilter.pl $(bindir)/mimefilter
	test -d $(mandir)/man1 \
		|| install -o root -g root -m 755 -d $(mandir)/man1
	install -o root -g root -m 644 mimefilter.1 $(mandir)/man1/
	test -d $(etcdir) \
		|| install -o root -g root -m 755 -d $(etcdir)
	install -o root -g root -m 644 config/mimefilter.rc $(etcdir)

clean:
	rm -f mimefilter.1

### Local Variables:
### mode: makefile
### End:

## mimefilter 1.6

=== debian/changelog ===
mimefilter (1.6) unstable; urgency=medium

  * conffile: New file.  (Closes: #132814)
  * rules: Install conffile.

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Fri,  8 Feb 2002 00:20:50 +0100

mimefilter (1.5) unstable; urgency=low

  * COPYRIGHT: Updated.
  * control(Standards-Version): Updated to 3.5.6.
    (Depends): mailtools -> libmailtools-perl.  (Closes: #113018)
    Build-Depends -> Build-Depends-Indep.
  * copyright: Updated.

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Fri, 18 Jan 2002 17:46:34 +0100

mimefilter (1.4) unstable; urgency=high

  * rules (build): Removed debian/rules from deps.
  (debian/rules): Removed debian/system.variables from deps.

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Wed, 16 May 2001 14:51:35 +0200

mimefilter (1.3) unstable; urgency=medium

  * control (Depends): libmime-perl >= 5.311-1.  (Closes: #85007)
  * control (Build-Depends): added eperl.

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Tue,  6 Feb 2001 14:38:24 +0100

mimefilter (1.2) unstable; urgency=low

  * New upstream version.
  * control (Description): Wording improved.
  * variables ($EXAMPLES): added smartlist/rc.custom.

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Tue, 23 Jan 2001 14:58:50 +0100

mimefilter (1.1) unstable; urgency=low

  * New upstream version.
  * control (Build-Depends): added perl5.
  * rules (debian/rules): added.
  * rules (build): added debian/rules.
  * variables ($EXAMPLES): added smartlist/rc.local.s10.

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Fri, 19 Jan 2001 17:27:44 +0100

mimefilter (1.0) unstable; urgency=low

  * Initial version.

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Tue, 16 Jan 2001 17:44:08 +0100

Local Variables:
mode: debian-changelog
End:

=== debian/control ===
Source: mimefilter
Section: mail
Priority: optional
Build-Depends-Indep: eperl, perl5
Maintainer: Davide G. M. Salvetti <salve@debian.org>
Standards-Version: 3.5.5

Package: mimefilter
Architecture: all
Depends: perl5, libmailtools-perl, libmime-perl (>= 5.311-1)
Suggests: smartlist
Description: Strips some unwanted MIME parts out of a MIME message.
 This program may be useful as a filter on a mailing list.
 .
 It strips every unwanted MIME part from a MIME compliant message, warning by
 email the original author about this, and outputs a MIME compliant cleaned
 message, to be further processed by a mailing list software.
 .
 You may find it useful if you don't want certain attachments on your mailing
 lists, or if you want to allow just the text part from multipart/alternative
 messages, and so on.  You can easily fine tune the list of allowed MIME types
 to suit your particular needs, using normal Perl regexps.

## mimefilter 1.7

=== debian/changelog ===
mimefilter (1.7) unstable; urgency=low

  * control(Standards-Version): Upgraded to 3.5.7.
  * postinst(do_link): Removed.
  * prerm(undo_link): Removed.

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 27 Sep 2002 15:45:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends-Indep: eperl, perl5
 Maintainer: Davide G. M. Salvetti <salve@debian.org>
-Standards-Version: 3.5.5
+Standards-Version: 3.5.7
 
 Package: mimefilter
 Architecture: all

## mimefilter 1.7+nmu1

=== debian/changelog ===
mimefilter (1.7+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Update dependency for libmime-tools-perl.
    Change Depends from libmime-perl (transitional package) to
    libmime-tools-perl to allow removal of libmime-perl.
    Thanks to Jari Aalto <jari.aalto@cante.net> for the patch.
    (Closes: #601480, #665049)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 17 May 2012 11:24:26 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: mimefilter
 Architecture: all
-Depends: perl5, libmailtools-perl, libmime-perl (>= 5.311-1)
+Depends: perl5, libmailtools-perl, libmime-tools-perl
 Suggests: smartlist
 Description: Strips some unwanted MIME parts out of a MIME message.
  This program may be useful as a filter on a mailing list.

=== debian/rules ===
#! /usr/bin/make -f
#
# BEWARE: The rules file is AUTOMATICALLY GENERATED from rules.in
#
# rules for the Debian mimefilter package.
# $Id: rules,v 1.8 2002/02/07 23:27:53 salve Exp $
#
# Copyright (C) 2000, 01, 02 by Davide Giovanni Maria Salvetti.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to: The Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
#
# On Debian GNU/Linux System you can find a copy of the GNU General Public
# License in "/usr/share/common-licenses/GPL".

tmp	:= $(shell pwd)/debian/tmp/

SHELL		:= /bin/bash
INSTDIR		:= install -m 755 -d
INSTPROG	:= install -m 755 -s
INSTDATA	:= install -m 644
INSTSCRIPT	:= install -m 755

DFILES	:=	debian/README debian/conffiles debian/copyright \
		debian/preinst debian/postinst debian/prerm debian/postrm

# WARNING: debian/rules SHOULD NOT be in $(DFILES), for Debian policy
# (it's CVS registered), lest it will be deleted by clean.
# Beside, it's automatically remade by make

debian/system.variables: /home/salve/Debian/Packages/system.variables
	$(INSTDATA) $< $@

debian/rules: debian/variables

# Eperl is simply great: thanks, Ralf!
% :: %.in
	eperl -P -o $@ $<

build: $(DFILES)
	$(checkdir)
	$(MAKE)
	touch build

clean:
	$(checkdir)
	-rm -rf build core $(tmp) debian/files* debian/substvars
	-rm -f	$(DFILES)
	-$(MAKE) clean

binary: binary-indep binary-arch

binary-arch: checkroot build
	$(checkdir)

binary-indep: checkroot build
	$(checkdir)
	-rm -rf $(tmp)

# install package
	$(MAKE) prefix=$(tmp)//usr/ mandir=$(tmp)//usr/share/man/\
		etcdir=$(tmp)//etc/ install
	gzip -9frv $(tmp)//usr/share/man/

# install Debian doc and examples
	$(INSTDIR) $(tmp)//usr/share/doc/mimefilter/
	$(INSTDATA) NEWS README TODO $(tmp)//usr/share/doc/mimefilter/
	$(INSTDATA) debian/README $(tmp)//usr/share/doc/mimefilter//README.Debian
	$(INSTDATA) ChangeLog $(tmp)//usr/share/doc/mimefilter/
	$(INSTDATA) debian/changelog $(tmp)//usr/share/doc/mimefilter//changelog.Debian
	$(INSTDIR) $(tmp)//usr/share/doc/mimefilter/examples/
	$(INSTDATA) config/mimefilter.rc config/it-mimefilter.rc smartlist/rc.local.s10 smartlist/rc.custom $(tmp)//usr/share/doc/mimefilter/examples/
	gzip -9frv $(tmp)//usr/share/doc/mimefilter/
	ln -sf ChangeLog.gz $(tmp)//usr/share/doc/mimefilter//changelog.gz
	$(INSTDATA) debian/copyright $(tmp)//usr/share/doc/mimefilter/

# install Debian control files
	$(INSTDIR) $(tmp)//DEBIAN/
	$(INSTDATA) debian/conffiles $(tmp)//DEBIAN/
	$(INSTSCRIPT) debian/{preinst,postinst,prerm,postrm} \
		$(tmp)//DEBIAN/

# standard stuff
#-#	cd $(tmp) && du -k * | grep -v 'DEBIAN' | sort -k 2 -o $(tmp)//DEBIAN//du
	cd $(tmp) && md5sum \
		$$(find ./ -path './DEBIAN' -prune -o -type f -printf "%P\n") \
		| sort -k 2 -o $(tmp)//DEBIAN//md5sums
	dpkg-gencontrol -isp
	chown -R root.root $(tmp)
	chmod -R go=rX $(tmp)
	dpkg --build $(tmp) ..

checkdir = test -f debian/rules

checkroot:
	$(checkdir)
	test root = "$$(whoami)"

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean checkroot

## mimefilter 1.7+nmu2

=== debian/changelog ===
mimefilter (1.7+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace 'perl5' (build) dependency with 'perl'
    Closes: #786682

 -- Damyan Ivanov <dmn@debian.org>  Wed, 22 Jul 2015 17:16:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: mimefilter
 Section: mail
 Priority: optional
-Build-Depends-Indep: eperl, perl5
+Build-Depends-Indep: eperl, perl
 Maintainer: Davide G. M. Salvetti <salve@debian.org>
 Standards-Version: 3.5.7
 
 Package: mimefilter
 Architecture: all
-Depends: perl5, libmailtools-perl, libmime-tools-perl
+Depends: perl, libmailtools-perl, libmime-tools-perl
 Suggests: smartlist
 Description: Strips some unwanted MIME parts out of a MIME message.
  This program may be useful as a filter on a mailing list.

## mimefilter 1.8

=== Makefile ===
# Makefile for the MimeFilter package
#
# Copyright (C) 2000-2020 Davide Giovanni Maria Salvetti.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# On Debian GNU/Linux System you can find a copy of the GNU General Public
# License in "/usr/share/common-licenses/GPL".

VER = $(shell git tag -l | tail -n 1 | cut -d '/' -f 2)
PACKAGE = mimefilter

INSTALL = install -o root -g root
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA    = $(INSTALL) -m 644
INSTALL_DIR     = $(INSTALL) -d

etcdir = /etc/
prefix = /usr/local/
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
datarootdir = $(prefix)/share
datadir     = $(datarootdir)
mandir      = $(datarootdir)/man
man1dir     = $(mandir)/man1
docdir      = $(datarootdir)/doc/$(PACKAGE)

.PHONY: all
all: build

.PHONY: build
build: $(PACKAGE).1

$(PACKAGE).1: $(PACKAGE).pl
	pod2man --section 1 --center "Debian GNU/Linux Manual" \
		--release "Debian Project" $< > $@

.PHONY: installdirs
installdirs:
	test -d $(DESTDIR)$(bindir) \
		|| $(INSTALL_DIR) $(DESTDIR)$(bindir)
	test -d $(DESTDIR)$(man1dir) \
		|| $(INSTALL_DIR) $(DESTDIR)$(man1dir)
	test -d $(DESTDIR)$(etcdir) \
		|| $(INSTALL_DIR) $(DESTDIR)$(etcdir)
	test -d $(DESTDIR)$(docdir) \
		|| $(INSTALL_DIR) $(DESTDIR)$(docdir)

.PHONY: install install-strip
install install-strip: build installdirs
	$(INSTALL_PROGRAM) $(PACKAGE).pl $(DESTDIR)$(bindir)/$(PACKAGE)
	$(INSTALL_DATA) $(PACKAGE).1 $(DESTDIR)$(man1dir)/
	$(INSTALL_DATA) config/$(PACKAGE).rc $(DESTDIR)$(etcdir)/
	$(INSTALL_DATA) README NEWS TODO $(DESTDIR)$(docdir)/

.PHONY: uninstall
uninstall:
	rm -f $(DESTDIR)$(docdir)/TODO
	rm -f $(DESTDIR)$(docdir)/NEWS
	rm -f $(DESTDIR)$(docdir)/README
	rm -f $(DESTDIR)$(etcdir)/$(PACKAGE).rc
	rm -f $(DESTDIR)$(man1dir)/$(PACKAGE).1
	rm -f $(DESTDIR)$(bindir)/$(PACKAGE)

.PHONY: clean distclean mostlyclean maintainer-clean
clean distclean mostlyclean maintainer-clean:
	rm -f $(PACKAGE).1

.PHONY: dist
dist:
	git archive --format=tar --prefix=$(PACKAGE)-$(VER)/ HEAD \
		| gzip --best > ../$(PACKAGE)-$(VER).tar.gz

.PHONY: check
check: build
	test -f $(PACKAGE).1

=== debian/changelog ===
mimefilter (1.8) unstable; urgency=medium

  * [e4bf955] Acknowledge NMU 1.7+nmu1.
    Thanks to Salvatore Bonaccorso (Closes: #673267)
  * [8992571] Acknowledge NMU 1.7+nmu2.
    Thanks to Damyan Ivanov
  * [cd0cf6c] Make build reproducible.
    Thanks to Chris Lamb, Valerie R Young (Closes: #777486, #847022)
  * [5f2db9c] Change ePerl source files suffix from .in to .eperl
  * [21cd898] Use debhelper
  * [7936167] debian/control (Rules-Requires-Root): Declare no root need
  * [18290e5] Makefile: Install docdir
  * [aeac365] debian/control (Depends): Add ${misc:Depends}
  * [9637184] debian/copyright: Switch to machine readable format
  * [10a2eef] config/it-mimefilter.rc: Switch to UTF-8 encoding
  * [e0fb9eb] debian/control (Standards-Version): Update to 4.5.0
  * [cf8bb38] debian/control (Vcs-Browser, Vcs-Git): New fields

 -- Davide G. M. Salvetti <salve@debian.org>  Thu, 03 Sep 2020 02:00:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: mimefilter
+Priority: optional
 Section: mail
-Priority: optional
-Build-Depends-Indep: eperl, perl
 Maintainer: Davide G. M. Salvetti <salve@debian.org>
-Standards-Version: 3.5.7
+Standards-Version: 4.5.0
+Build-Depends-Indep: debhelper (>= 12), eperl, perl
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/salve/mimefilter
+Vcs-Git: https://salsa.debian.org/salve/mimefilter.git
 
 Package: mimefilter
 Architecture: all
-Depends: perl, libmailtools-perl, libmime-tools-perl
+Depends: perl, libmailtools-perl, libmime-tools-perl, ${misc:Depends}
 Suggests: smartlist
-Description: Strips some unwanted MIME parts out of a MIME message.
+Description: Strips some unwanted MIME parts out of a MIME message
  This program may be useful as a filter on a mailing list.
  .
  It strips every unwanted MIME part from a MIME compliant message, warning by

=== debian/rules ===
#! /usr/bin/make -f
#
# makefile rules for the Debian package mimefilter
#
# # Copyright (C) 2000-2018 Davide Giovanni Maria Salvetti.
# #
# # This program is free software; you can redistribute it and/or modify it
# # under the terms of the GNU General Public License as published by the
# # Free Software Foundation; either version 3 of the License, or (at your
# # option) any later version.
# #
# # This program is distributed in the hope that it will be useful, but
# # WITHOUT ANY WARRANTY; without even the implied warranty of
# # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# # General Public License for more details.
# #
# # You should have received a copy of the GNU General Public License along
# # with this program.  If not, see <http://www.gnu.org/licenses/>.
# #
# # On Debian GNU/Linux System you can find a copy of the GNU General Public
# # License in "/usr/share/common-licenses/GPL".

include /usr/share/dpkg/pkg-info.mk

SHELL		:= /bin/bash
SBUILD := sbuild --verbose

EPERL_SRC := $(wildcard debian/*.eperl)
EPERL_OBJ := $(EPERL_SRC:%.eperl=%)

debian/clean: $(EPERL_OBJ)
	echo $(filter-out debian/rules, $(EPERL_OBJ)) \
		debian/clean > debian/clean

# ePerl  is simply great: thanks, Ralf!
%:: %.eperl
	eperl -P -o $@ $<

%:
	dh $@ --exclude .eperl

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install -- prefix=/usr

.PHONY: snapshot
snapshot: OBJ := --arch-all
snapshot: DIST := unstable
snapshot: BRANCH := $(shell git branch | perl -ne 'print if s/^\* //')
snapshot: LAST := $(shell git describe --abbrev=0 --match 'debian/*' master)
snapshot: clean
	git clean -ix
	gbp dch --debian-branch=$(BRANCH) --snapshot --since $(LAST) --commit
	gbp buildpackage --keyid='' \
		--git-no-pristine-tar \
		--git-builder='$(SBUILD) $(OBJ) --dist=$(DIST)' \
		--git-debian-branch=$(BRANCH)

.PHONY: release
release: OBJ := --arch-all --arch-any --source --source-only-changes
release: DIST := unstable
release: clean
	git clean -ix
	git checkout master
	gbp dch --release --commit
	gbp buildpackage \
		--git-no-pristine-tar \
		--git-pristine-tar-commit \
		--git-builder='$(SBUILD) $(OBJ) --dist=$(DIST)' \
		--git-tag

.PHONY: upload
upload:
	dput ../mimefilter_$(DEB_VERSION)_source.changes

## mimefilter 1.8build1

=== debian/changelog ===
mimefilter (1.8build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 16 Dec 2025 20:29:42 +0000
